import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { ChartType } from 'angular-google-charts';
import { UsageReportLibService } from '../usage-report-lib.service';
import { Subject } from 'rxjs';
export declare class UsageMatrixComponent implements OnInit, OnDestroy {
    private usageReportLibService;
    destroy$: Subject<void>;
    dailyUsageChart: ElementRef;
    constructor(usageReportLibService: UsageReportLibService);
    chartType: ChartType;
    monthNames: any;
    user_titleLine: string;
    user_typeLine: string;
    user_dataLine: any;
    user_columnNamesLine: any;
    user_optionsLine: any;
    user_widthLine: any;
    user_heightLine: any;
    asset_titleLine: string;
    asset_typeLine: string;
    asset_dataLine: any;
    asset_columnNamesLine: any;
    asset_optionsLine: any;
    asset_widthLine: any;
    asset_heightLine: any;
    capacity_titleLine: string;
    capacity_typeLine: string;
    capacity_dataLine: any;
    capacity_columnNamesLine: any;
    capacity_optionsLine: any;
    capacity_widthLine: any;
    capacity_heightLine: any;
    contribution_titleLine: string;
    contribution_typeLine: string;
    contribution_dataLine: any;
    contribution_columnNamesLine: any;
    contribution_optionsLine: any;
    contribution_widthLine: any;
    contribution_heightLine: any;
    ngOnInit(): void;
    extractUsersData(dataArray: any): {
        activeUsers: any;
        monthKeys: any;
        highestTotalUsers: any;
    };
    UserChart(): void;
    extractAssetsData(dataArray: any): {
        presentAssetCounts: any;
        assetsUsed: any;
        monthKeys: any;
    };
    AssetChart(): void;
    extractCapacityData(dataArray: any): {
        classroomUsageSeconds: any[];
        monthKeys: any[];
        totalCapacity: any[];
        percentageData: any[];
    };
    secondsToHours(seconds: any): number;
    CapacityChart(): void;
    extractUserContributionData(dataArray: any): {
        userContributions: any;
        monthKeys: any;
    };
    ContributionChart(): void;
    getDataByMonth(dataArray: any, monthKey: any): any;
    getMonthNames(startMonthName: any, numbOfMonthsRequired: any): any[];
    ngOnDestroy(): void;
}
